mod elastic_conection;
mod nut;
use nut::nut_client::NutClient;
use elastic_conection::ElasticConection;
use chrono;
use tokio::time::{sleep, Duration};

#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
    //println!("{}",chrono::offset::Utc::now().to_rfc3339_opts(chrono::SecondsFormat::Secs, true));
    let nut = NutClient::new().unwrap();
    match ElasticConection::new() {
        Ok(c) => start_loop(c, nut).await,
        Err(e) => println!("{}",e),
    }
    Ok(())
}

async fn start_loop(e_con: ElasticConection, mut n_con: NutClient) {
    loop {
        e_con.send(n_con.get_data(chrono::offset::Utc::now().to_rfc3339_opts(chrono::SecondsFormat::Secs, true)).unwrap()).await;
        sleep(Duration::from_secs(10)).await;
    }
}
